#include <bits/stdc++.h>
using namespace std;
int ucitaj()
{
	int rez=0;
	char ch;
	while(true)
	{
		ch=getchar();
		if (ch<'0' or ch>'9') break;
		rez=rez*10+(ch-'0');
	}
	return rez;
}
int main()
{
	bool A[200000],C[200000];
	int B[200000],D[200000],n,i,j,bb,bd,s,u;
	bb=1;
	bd=1;
	s=0;
	n=ucitaj();
	for (i=1;i<=n;i++)
	{
		A[i]=false;
		C[i]=false;
	}
	for (i=0;i<n;i++)
	{
		u=ucitaj();
		if (A[u]==false)
		{
			A[u]=true;
		}
		else
		{
			B[bb]=u;
			bb++;
		}
		u=ucitaj();
		if (C[u]==false)
		{
			C[u]=true;
		}
		else
		{
			D[bd]=u;
			bd++;
		}
	}
	sort(B+1,B+bb);
	sort(D+1,D+bd);
	bb=1;
	bd=1;
	for (i=1;i<=n;i++)
	{
		if (A[i]==false)
		{
			s=s+abs(i-B[bb]);
			bb++;
		}
		if (C[i]==false)
		{
			s=s+abs(i-D[bd]);
			bd++;
		}
	}
	printf("%d",s);
}